Update FacilityAppointment ETA
Body
- Type: stringFormat: date-timeetarequired
the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- Type: stringFormat: uuididrequired
The id of the
FacilityAppointment.
Responses
- application/json
Request Example for postv1/updated_facility_appointment_eta
curl https://api.getconduit.ai/v1/updated_facility_appointment_eta \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"id": "2aae24c7-438d-473f-aba8-7793b7efdec3",
"eta": "2023-01-01T00:00:00.000Z"
}'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "Inbound",
"loading_type": "Live",
"scheduled_start_time": "2026-04-28T13:27:03.051Z",
"scheduled_end_time": "2026-04-28T13:27:03.051Z",
"status": "Scheduled",
"recurring_facility_appointment": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"repetition_type": "Daily"
},
"order_info": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"reference_id": "string"
}
],
"created_at": "2026-04-28T13:27:03.051Z",
"updated_at": "2026-04-28T13:27:03.051Z",
"is_work_in": false,
"quantity": 1,
"units": null,
"carrier": null,
"carrier_email": null,
"carrier_phone": null,
"carrier_driver": null,
"carrier_notes": null,
"shipper_receiver": null,
"dock": null,
"forklift": null,
"trailer_number": null,
"seal_number": null,
"estimated_start_datetime": null,
"load_started_at": "2024-11-01T15:56:50.052000-07:00",
"load_finished_at": "2024-11-01T15:56:50.052000-07:00",
"checked_in_at": null,
"checked_out_at": null,
"cancelled_at": null,
"cancelled_reason": "FACILITY_REJECTED_LOAD",
"cancelled_note": null,
"public_notes": "string",
"notes": "string",
"facility": "123e4567-e89b-12d3-a456-426614174000",
"all_load_types": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "string"
}
]
}
